### Constructor

# WebKit WebContext new_with_website_data_manager

since: 2.10

#### Declaration [src]

    WebKitWebContext*
    webkit_web_context_new_with_website_data_manager (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Create a new `WebKitWebContext` with a `WebKitWebsiteDataManager`.

Available since: 2.10

#### Parameters

`manager`

  Type: `WebKitWebsiteDataManager`

  A `WebKitWebsiteDataManager`.

  The data is owned by the caller of the function.

#### Return value

Type: `WebKitWebContext`

A newly created `WebKitWebContext`.

The caller of the function takes ownership of the data, and is responsible for freeing it.